Package com.collabnet.ce.soap60.webservices.pluggable

# Class IntegratedAppResourceBundleSoapDOMarshaler

java.lang.Object
com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDOMarshaler
com.collabnet.ce.soap60.webservices.pluggable.IntegratedAppResourceBundleSoapDOMarshaler

All Implemented Interfaces:
  `SoapMarshaler`

public class IntegratedAppResourceBundleSoapDOMarshaler extends ObjectSoapDOMarshaler
Marshaler class for IntegratedAppResourceBundleSoapDOMarshaler.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SoapMarshaler`
  `getInstance()`
  Returns the singleton class instance.
  `Object`
  `rmiToSoap(Object rmiObject)`
  Unmarshals an object used by RMI APIs to a SOAP object
  `static IntegratedAppResourceBundleSoapDO[]`
  `rmiToSoapBundles(com.vasoftware.sf.server.services.pluggable.IntegratedAppResourceBundleDO[] rmiDOs)`
  Helper method to convert RMI to SOAP bundle objects
  `Object`
  `soapToRmi(Object soapObject)`
  Converts a SOAP object to an object type required by RMI APIs.
  `static com.vasoftware.sf.server.services.pluggable.IntegratedAppResourceBundleDO[]`
  `soapToRmiBundles(IntegratedAppResourceBundleSoapDO[] soapDOs)`
  Helper method to convert SOAP to RMI bundle objects

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDOMarshaler

  `getCoreService, protectedRmiToSoap, protectedSoapToRmi`

  ### Methods inherited from class com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler

  `isStateless`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static SoapMarshaler getInstance()
    Returns the singleton class instance.
    Returns:
      Singleton class instance.

  - ### soapToRmi

    public Object soapToRmi(Object soapObject) throws SoapMarshalingException
    Description copied from interface: `SoapMarshaler`
    Converts a SOAP object to an object type required by RMI APIs.
    Parameters:
      `soapObject` - SOAP object to marshal.
    Returns:
      Object required by RMI APIs.
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.
    See Also:
      - `SoapMarshaler.soapToRmi(java.lang.Object)`

  - ### rmiToSoap

    public Object rmiToSoap(Object rmiObject) throws SoapMarshalingException
    Description copied from interface: `SoapMarshaler`
    Unmarshals an object used by RMI APIs to a SOAP object
    Parameters:
      `rmiObject` - Object used by RMI apis.
    Returns:
      Unmarshaled SOAP object.
    Throws:
      `SoapMarshalingException` - when an error is encountered during unmarshaling.
    See Also:
      - `SoapMarshaler.rmiToSoap(java.lang.Object)`

  - ### soapToRmiBundles

    public static com.vasoftware.sf.server.services.pluggable.IntegratedAppResourceBundleDO[] soapToRmiBundles(IntegratedAppResourceBundleSoapDO[] soapDOs)
    Helper method to convert SOAP to RMI bundle objects
    Parameters:
      `soapDOs` - an array of SOAP bundle object
    Returns:
      an array of RMI bundle object

  - ### rmiToSoapBundles

    public static IntegratedAppResourceBundleSoapDO[] rmiToSoapBundles(com.vasoftware.sf.server.services.pluggable.IntegratedAppResourceBundleDO[] rmiDOs)
    Helper method to convert RMI to SOAP bundle objects
    Parameters:
      `rmiDOs` - an array of RMI bundle object
    Returns:
      an array of SOAP bundle object